# rational-to-string

The rational-to-string package essentially allows you to do
arbitrary precision floating point in Clojure by converting your input
floating point to rational numbers using (string-to-rational).  You
can then do all of your arithmetic using Clojure's built-in support
for arbitrary precision rational numbers.  When you are done, you can
then output your result to as many decimal places as you like using
(rational-to-string).  Scientific notation can be used for both input
and output.

Another exported function that is of general use is
(parse-decimal-string) which knows how to parse strings of the
following form:

    "[+|-]<whole_part>.<fract_part>[e|E[+|-]<exp_part>]"

This software and the associated unit tests were developed using
clojure-1.4.0.
